Eclipse PDE Release 3.7

## org.eclipse.pde.core.plugin
Interface IExtensionsModelFactory

All Known Subinterfaces:
  IPluginModelFactory

    public interface IExtensionsModelFactory

This factory should be used to create instances of the extensions model objects.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Method Summary
`IPluginAttribute` `createAttribute(IPluginElement element)` Creates a new attribute instance for the provided element.
`IPluginElement` `createElement(IPluginObject parent)` Creates a new element instance for the provided parent.
`IPluginExtension` `createExtension()` Creates a new extension instance.
`IPluginExtensionPoint` `createExtensionPoint()` Creates a new extension point instance

Method Detail

### createAttribute

    IPluginAttribute createAttribute(IPluginElement element)

  Creates a new attribute instance for the provided element.

  Parameters:
    `element` - the parent element
  Returns:
    the new attribute instance

### createElement

    IPluginElement createElement(IPluginObject parent)

  Creates a new element instance for the provided parent.

  Parameters:
    `parent` - the parent element
  Returns:
    the new element instance

### createExtension

    IPluginExtension createExtension()

  Creates a new extension instance.

  Returns:
    the new extension instance

### createExtensionPoint

    IPluginExtensionPoint createExtensionPoint()

  Creates a new extension point instance

  Returns:
    a new extension point

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.